For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve public IP addresses of the jambonz SBCs
      • GETretrieve voip carrier
      • PUTupdate voip carrier
      • DELdelete a voip carrier
      • GETlist sip gateways
      • POSTcreate sip gateway
      • GETretrieve sip gateway
      • PUTupdate sip gateway
      • DELdelete a sip gateway
      • GETget all carriers availlble to the account
      • POSTcreate a carrier as a service provider
      • GETget all carriers for an account
      • POSTcreate a carrier for an account
      • POSTadd a carrier to a service provider using a template
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementCarriers

list sip gateways

GET
https://api.jambonz.cloud/v1/SipGateways
GET
/v1/SipGateways
$curl -G https://api.jambonz.cloud/v1/SipGateways \
> -H "Authorization: Bearer <token>" \
> -d voip_carrier_sid=voip_carrier_sid
1[
2 {
3 "sip_gateway_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "ipv4": "192.168.100.10",
5 "port": 5060,
6 "netmask": 24,
7 "voip_carrier_sid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
8 "inbound": true,
9 "outbound": true
10 }
11]
Was this page helpful?
Previous

create sip gateway

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

voip_carrier_sidstringRequired

Response

list of sip gateways
sip_gateway_sidstringformat: "uuid"
ipv4string
portinteger
netmaskinteger
voip_carrier_sidstringformat: "uuid"
inboundboolean
outboundboolean

Errors

500
Internal Server Error